program main
use random

integer, parameter :: Nc = 9000000
double precision :: val, x, f
double precision, parameter :: Pi2 = sqrt(6.283185307179586d0)
integer :: i 

val = 0.0 

do i=1, Nc 
    x = random_normal() 
    f = exp(-x*x - 0.25 * x - 0.05 *x*x*x*x) * cos(2.1*x)
    f = f * Pi2 / exp(-0.5*x*x)
    val = val + f
end do

val = val/Nc

write(*, *) "true value = 0.615081736130362, we find val = ", val

end program
    



