! 3d integration
! 可以推广到任何维度，比如20维，都可以。 
! 测试结果表明，可以以较快的速度较高的精度计算数值结果。

program main
use random

integer, parameter :: Nc = 90000000
double precision :: val, x1, x2, x3, f1, f2, f3, f
double precision, parameter :: Pi2 = sqrt(6.283185307179586d0)
integer :: i 

val = 0.0 

do i=1, Nc 
    x1 = random_normal() 
    x2 = random_normal() 
    x3 = random_normal() 
    f1 = exp(-x1*x1 - 0.25 * x1 - 0.05 *x1*x1*x1*x1) * cos(2.1*x1) * Pi2 / exp(-0.5*x1*x1)
    f2 = exp(-x2*x2 - 0.25 * x2 - 0.05 *x2*x2*x2*x2) * cos(2.1*x2) * Pi2 / exp(-0.5*x2*x2)
    f3 = exp(-x3*x3 - 0.25 * x3 - 0.05 *x3*x3*x3*x3) * cos(2.1*x3) * Pi2 / exp(-0.5*x3*x3)
    f = f1*f2*f3 
    val = val + f
end do

val = val/Nc

write(*, *) "1d value = 0.615081736130362, 3d value = 0.615**3 = 0.232701131270331" 
write(*, *) "we find val = ", val

end program
    



